package org.kne.cloud.network;

import java.io.IOException;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.UnknownHostException;

public class DefaultDatagramServerSocketFactory extends DatagramServerSocketFactory {

	@Override
	public DatagramServerSocket createDatagramServerSocket(int port) throws IOException {
		return new DatagramServerSocket(port);
	}

	@Override
	public DatagramServerSocket createDatagramServerSocket(int port, int backlog) throws IOException {
		return new DatagramServerSocket(port,backlog);
	}

	@Override
	public DatagramServerSocket createDatagramServerSocket(int port, int backlog, InetAddress ifAddress)
			throws IOException {
		return new DatagramServerSocket(port,backlog, ifAddress);
	}

	

}
